## -*- coding: utf-8; mode: python; -*-
# -*- coding: utf-8; -*-
"""
Custom config
"""

from rattail.config import ConfigExtension


class ${app_class_prefix}Config(ConfigExtension):
    """
    Rattail config extension for ${name}
    """
    key = '${python_name}'

    def configure(self, config):

        # default app title
        config.setdefault('rattail', 'app_title', '${name.replace("'", "\\'")}')

        # primary data model
        config.setdefault('rattail', 'model', '${python_name}.db.model')

        # menu handler
        config.setdefault('tailbone.menus', 'handler', '${python_name}.web.menus:${app_class_prefix}MenuHandler')

        ## do we integrate w/ Catapult?
        % if integrates_catapult:
        config.setdefault('rattail.importing', 'versions.handler', 'rattail_onager.importing.versions:FromRattailToRattailVersions')
        % endif
