## -*- coding: utf-8; mode: python; -*-
# -*- coding: utf-8; -*-
<%text>################################################################################</%text>
#
#  Rattail -- Retail Software Framework
#  Copyright © 2010-${year} Lance Edgar
#
#  This file is part of Rattail.
#
#  Rattail is free software: you can redistribute it and/or modify it under the
#  terms of the GNU General Public License as published by the Free Software
#  Foundation, either version 3 of the License, or (at your option) any later
#  version.
#
#  Rattail is distributed in the hope that it will be useful, but WITHOUT ANY
#  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
#  details.
#
#  You should have received a copy of the GNU General Public License along with
#  Rattail.  If not, see <http://www.gnu.org/licenses/>.
#
<%text>################################################################################</%text>
"""
Tasks for ${name}
"""

import os

from invoke import task


here = os.path.abspath(os.path.dirname(__file__))
exec(open(os.path.join(here, '${python_name}', '_version.py')).read())


@task
def release(c):
    """
    Release a new version of ${name}
    """
    # rebuild local tar.gz file for distribution
    c.run('rm -rf ${egg_name}.egg-info')
    c.run('python setup.py sdist --formats=gztar')

    # TODO: uncomment to upload to public PyPI
    #filename = '${python_project_name}-{}.tar.gz'.format(__version__)
    #c.run('twine upload dist/{}'.format(filename))

    # TODO: uncomment and update these details, to upload to private PyPI
    #filename = '${python_project_name}-{}.tar.gz'.format(__version__)
    #c.run('scp dist/{} rattail@pypi.example.com:/srv/pypi/${slug}/'.format(filename))
